RSXStreamIterator
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.rs
Class RSXStreamIterator<E>

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.rs.RSXStreamIterator<E>

All Implemented Interfaces:
  java.util.Iterator<E>

    public class RSXStreamIterator<E>

extends java.lang.Object
implements java.util.Iterator<E>

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`RSXStreamIterator(java.lang.String locator, java.lang.String fieldName)`
`RSXStreamIterator(java.net.URI locator, java.lang.String fieldName)`
`RSXStreamIterator(java.net.URI locator, java.lang.String fieldName, long iteratorTimeout, java.util.concurrent.TimeUnit timeUnit)`

Method Summary
`boolean` | `hasNext()`
`E` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSXStreamIterator

    public RSXStreamIterator(java.lang.String locator,
                             java.lang.String fieldName)
                      throws GRS2ReaderException

Throws:
  `GRS2ReaderException`

### RSXStreamIterator

    public RSXStreamIterator(java.net.URI locator,
                             java.lang.String fieldName)
                      throws GRS2ReaderException

Throws:
  `GRS2ReaderException`

### RSXStreamIterator

    public RSXStreamIterator(java.net.URI locator,
                             java.lang.String fieldName,
                             long iteratorTimeout,
                             java.util.concurrent.TimeUnit timeUnit)
                      throws GRS2ReaderException

Throws:
  `GRS2ReaderException`

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<E>`

### next

    public E next()

  Specified by:
    `next` in interface `java.util.Iterator<E>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD